package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CourseGenerateDto;

import java.util.Date;

public class OnlineMusicGroupCourseDto extends CourseGenerateDto {

    private String musicGroupId;

    private Integer studentId;

    private Integer subjectId;

    private Integer teacherId;

    private Date firstCourseTime;

    private boolean skipHoliday;

    public boolean isSkipHoliday() {
        return skipHoliday;
    }

    public void setSkipHoliday(boolean skipHoliday) {
        this.skipHoliday = skipHoliday;
    }

    public String getMusicGroupId() {
        return musicGroupId;
    }

    public void setMusicGroupId(String musicGroupId) {
        this.musicGroupId = musicGroupId;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public Date getFirstCourseTime() {
        return firstCourseTime;
    }

    public void setFirstCourseTime(Date firstCourseTime) {
        this.firstCourseTime = firstCourseTime;
    }
}
